Subject: Re: [Cfrg] [saag] GOST algorithms descriptions

From: Jack Lloyd <[email-masked]>
Date: Fri, 31 Jul 2009 15:35:35 -0400

On Sat, Jun 13, 2009 at 12:29:07PM +0400, Basil Dolmatov wrote:
> Hello,
>
> the fact that the GOST cryptography algorithms descriptions are not easily 
> accessible in English was repeatedly mentioned when discussing related 
> subjects.
> Now, these descriptions are posted as I-Ds, we hope that will serve the 
> community to get acquianted more closely with these sets of widely used 
> algorithms.
>
> http://www.ietf.org/internet-drafts/draft-dolmatov-cryptocom-gost341194-00.txt
>
>
> http://www.ietf.org/internet-drafts/draft-dolmatov-cryptocom-gost34102001-00.txt
>

The examples use a set of sboxes for GOST-28147 which are referred to
in RFC 4375 as id-GostR3411-94-TestParamSet, whereas the text of RFC
4375 itself uses the other param set
(id-GostR3411-94-CryptoProParamSet) in all situations. Given that all
(?)  IETF GOST standards use this param set, why not provide test
vectors for it rather than the (otherwise unused) TestParamSet?

Regards,
  Jack Lloyd